Subject: Re: bug#16253: 24.3.50; Irrelevant warnings from gnutls

From: Ted Zlatanov <[email-masked]>
Date: Mon, 20 Jan 2014 11:11:29 -0500

On Sat, 18 Jan 2014 10:06:45 -0800 Lars Ingebrigtsen <[email-masked]> wrote: 

LI> Speaking of irrelevant messages.  I just got this:
LI> gnutls.c: [0] (Emacs) fatal error: An unexpected TLS handshake packet was received.
LI> gnutls.el: (err=[-19] An unexpected TLS handshake packet was
LI> received.) boot: (:priority NORMAL :hostname i.chzbgr.com :loglevel 0
LI> :min-prime-bits 256 :trustfiles (/etc/pki/tls/certs/ca-bundle.crt)
LI> :crlfiles nil :keylist nil :verify-flags nil :verify-error nil
LI> :callbacks nil)

LI> Errors like this are to be expected (the server just closes the
LI> connection for some reason or other).  The URL library should deal with
LI> this without bothering the user with these warnings...

The URL library can't trap these.  GnuTLS considers them highest
priority, so blocking them out would block most useful log information.
I'm not sure what to do without breaking things or complicating the
configuration significantly.

Ted